Missing package tuned-profiles-sap-hana

Issues related to applications and software problems
Post Reply
forumitu
Posts: 118
Joined: 2014/02/20 14:30:51

Missing package tuned-profiles-sap-hana

Post by forumitu » 2019/09/13 10:01:42

At the time of writing this the latest version is 7.6. I am trying to install SAP "hana", and I need the tuned-profiles-sap-hana package. I do not find it. On the other hand I found the package in the /rt directory of the distribution (with very recent realtime kernels). Is the content of that "/rt" directory maintained? If yes, is there any documentation which describes how to use it appropriately?

hunter86_bg
Posts: 1926
Joined: 2015/02/17 15:14:33
Location: Bulgaria
Contact:

Re: Missing package tuned-profiles-sap-hana

Post by hunter86_bg » 2019/09/15 20:44:32

Even if you get that, you still need some packages that are not available in CentOS repos.
Also, for SAP HANA , CentOS is unsupported.

forumitu
Posts: 118
Joined: 2014/02/20 14:30:51

Re: Missing package tuned-profiles-sap-hana

Post by forumitu » 2019/09/17 07:53:51

I installed the "yum-plugin-protectbase" package.
I had to create by hand the /etc/yum.repos.d/CentOS-RT.repo file with the following content:

Code: Select all

# CentOS-RT.repo
#
# The mirror system uses the connecting IP address of the client and the
# update status of each mirror to pick mirrors that are updated to and
# geographically close to the client.  You should use this for CentOS updates
# unless you are manually picking other mirrors.
#
# If the mirrorlist= does not work for you, as a fall back you can try the 
# remarked out baseurl= line instead.
#
#

[rt]
name=CentOS-$releasever - RealTime
mirrorlist=http://mirrorlist.centos.org/?release=$releasever&arch=$basearch&repo=rt&infra=$infra
#baseurl=http://mirror.centos.org/centos/$releasever/rt/$basearch/
gpgcheck=1
enabled=1
protect=1
priority=10
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-CentOS-7
I downgraded the "tuned" package to the version shipped in this [rt] repository.
Then, I was able to install the "tuned-profiles-sap-hana" package from the same repo.

The command "tuned-adm profile sap-hana" just works fine!
hunter86_bg wrote:
2019/09/15 20:44:32
... you still need some packages that are not available in CentOS repos.
Thanks for the info. Do you know by chance which other packages will I miss from CentOS relative to RedHat when I start installing/configuring/using "SAP HANA"?

hunter86_bg
Posts: 1926
Joined: 2015/02/17 15:14:33
Location: Bulgaria
Contact:

Re: Missing package tuned-profiles-sap-hana

Post by hunter86_bg » 2019/09/18 19:02:52

According to Red Hat Enterprise Linux (RHEL) 7.x Configuration Guide for SAP HANA you will need GCC 6 C++ Runtime Compatibility Libraries for SAP HANA 2.0 >= SPS 02 (compat-sap-c++-6) or GCC 5 C++ Runtime Compatibility Libraries for SAP HANA 2.0 < SPS 02 (compat-sap-c++-5) .
If you plan to setup highly-available HANA (via pacemaker) , you will need extra package for the resource agents but I think that is available in the repos.

Still, a system on CentOS will be good only for dev/testing purposes as SAP do not support anything other than SUSE or RHEL.

forumitu
Posts: 118
Joined: 2014/02/20 14:30:51

Re: Missing package tuned-profiles-sap-hana

Post by forumitu » 2019/09/19 14:45:05

Thanks again for the info. Probably that it is:

Code: Select all

              Starting external program /usr/sap/HDS/HDB00/exe/hdbnsutil
                Command line is: /usr/sap/HDS/HDB00/exe/hdbnsutil -createSecureStore
                Output line 1: /usr/sap/HDS/HDB00/exe/hdbnsutil: /lib64/libstdc++.so.6: version `CXXABI_1.3.9' not found (required by /usr/sap/HDS/HDB00/exe/hdbnsutil)
I have no idea accessing even the source rpms of these C++ compatibility libraries.

hunter86_bg
Posts: 1926
Joined: 2015/02/17 15:14:33
Location: Bulgaria
Contact:

Re: Missing package tuned-profiles-sap-hana

Post by hunter86_bg » 2019/09/22 19:21:22

Try with

Code: Select all

yum search compat-sap-c++-6 
You might get lucky.
If not, yuu need to find the source rpm (if it exists) and build from source.

Post Reply

Return to “CentOS 7 - Software Support”